package ast;

import compiler.*;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public abstract class SlotNode extends Node
{
    protected Modifier access;
    protected String type;
    protected String name;

    public SlotNode(String name, Modifier access, String type, int lineNumber, int colNumber)
    {
        super(lineNumber, colNumber);
        this.access = access;
        this.type = type;
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public Modifier getAccess()
    {
            return access;
    }
}