package compiler;

import ast.Node;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: a symbol table entry for a method's parameter</p>
 * <p>Copyright: Copyright (c) 2004 Nicholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class ParamSymbol extends VarSymbol
{

    /**
     * create a new symbol table entry for a parameter
     * @param name the parameter's id
     * @param type the name of the parameter's type
     * @param decl the node where the parameter is declared
     */
    public ParamSymbol(String name, String type, Node decl)
    {
        super(name, type, decl);
    }

    public String getKind()
    {
        return "parameter";
    }
}