package test;

import junit.framework.TestCase;
import compiler.*;


/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004 Nicholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class TestSymbolTable extends TestCase
{
    private SymbolTable st = new SymbolTable();

    public TestSymbolTable()
    {
    }

    public void setUp()
    {
        for (int i = 0; i < 5; ++i)
            st.put(new VariableSymbol("test" + i, "test", null));
    }

    public void testToArray()
    {
        Symbol[] entries = st.toArray();
        assertEquals("array should be same size as number of entries", 5, entries.length);
    }

    public void testContainsSimple()
    {
        assertTrue("test3 not in symbol table", st.getStrict("test3") != null);
    }

    public void testNotContainsSimple()
    {
        assertFalse("test6 in symbol table", st.getStrict("test6") != null);
    }

}