<html><!-- InstanceBegin template="../Templates/siteTemplate.dwt" codeOutsideHTMLIsLocked="false" -->
<head>
<!-- InstanceBeginEditable name="doctitle" -->
<title>Nicholas Cameron</title>
<!-- InstanceEndEditable -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<!-- InstanceBeginEditable name="head" -->

<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">

<%@page import="web.*"%>
<%@page import="utils.StringUtils"%>
<%@page import="jmmc"%>
<%@page import="java.io.*"%>

<%
//do all the processing on received HTTP request
//it would be neater to put this in a servlet...

//convert the http request into a multipart request since there may be a file uploaded
MultipartRequest multi = new MultipartRequest(request);

//http parameters
String inputType = multi.getParameter("input");
String output = multi.getParameter("output");

//error message, if any
String error = null;

//the file text output by comilation
StringWriter outString = new StringWriter();
//the result of compilation (any feedback - not the compiled file)
String result = null;
//the input to compilation
String inputString = "";

//the name of the input/output files without the extension
String nameNoExt = null;

if (inputType != null && output != null)
{
    //compilation parameters
    boolean toClass = true;

    //input is from the text box
    if (inputType.equals("text"))
    {
        //check there was some text entered
        String code = multi.getParameter("codeArea");
        if (code != null && code.length() > 0)
            inputString = code;
        else
            error = "No program text to compile";

        String outFilename = multi.getParameter("outputFilename");
        if (outFilename == null)
            outFilename = "";
        nameNoExt = StringUtils.removeExtension(outFilename);
    }
    else if (inputType.equals("upload"))
    {
        //A file is uploaded to compile
        String sourceName = multi.getFilesystemName("codeUpload");
        if (sourceName == null || sourceName.equals(""))  //check a file was uploaded
            error = "No file specified for upload";
        else
        {
            //read the file into a String
            BufferedReader input = new BufferedReader(new FileReader(Settings.saveDirectory + "/" + sourceName));
            String inputLine;
            while((inputLine = input.readLine()) != null)
                  inputString += inputLine + "\n";
            input.close();

            //delete the file
            File inputFile = new File(Settings.saveDirectory + "/" + sourceName);
            inputFile.delete();

            nameNoExt = StringUtils.removeExtension(sourceName);
        }
    }
    else
    {
        //compile a sample
        //read the sample file into a String
        BufferedReader input = new BufferedReader(new FileReader(Settings.sampleDirectory + "/" + inputType));
        String inputLine;
        while((inputLine = input.readLine()) != null)
              inputString += inputLine + "\n";
        input.close();

        nameNoExt = StringUtils.removeExtension(inputType);
    }

    //if the output type effects compilation
    if (output.equals("j"))
        toClass = false;

    //sort out the output file name
    if (nameNoExt == null || nameNoExt.equals(""))
        nameNoExt = "DefaultName";

    //compile!
    if (error == null)
        result = jmmc.compile(new PrintWriter(outString, true), new BufferedReader(new StringReader(inputString)), nameNoExt + ".jmm", nameNoExt + ".class", Settings.saveDirectory + "/", toClass, -1, -1);
}
else
{
    error = "Bad http parameters, please retry...";
}

%>

<!-- InstanceEndEditable -->
<link rel="stylesheet" type="text/css" href="../Templates/styles.css">
</head>

<body bgcolor="#E7E7E7" leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <!-- fwtable fwsrc="template.png" fwbase="template.gif" fwstyle="Dreamweaver" fwdocid = "742308039" fwnested="0" -->
  <tr>
    <td width="175" bgcolor="#CECECE"><img src="../Templates/spacer.gif" width="175" height="1" border="0" alt=""></td>
    <td width="20" bgcolor="#CECECE"><img src="../Templates/spacer.gif" width="20" height="1" border="0" alt=""></td>
    <td width="215" bgcolor="#CECECE"><img src="../Templates/spacer.gif" width="215" height="1" border="0" alt=""></td>
    <td width="15" bgcolor="#CECECE"><img src="../Templates/spacer.gif" width="15" height="1" border="0" alt=""></td>
    <td width="100%" bgcolor="#E7E7E7"><img src="../Templates/spacer.gif" width="1" height="1" border="0" alt=""></td>
    <td width="1" bgcolor="#E7E7E7"><img src="../Templates/spacer.gif" width="1" height="1" border="0" alt=""></td>
  </tr>
  <tr>
    <td colspan="4" bgcolor="#CECECE"><table width="425" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><table width="425" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="410" height="52" bgcolor="#CECECE"><img src="../Templates/squares.gif" width="380" height="48"></td>
                <td width="15" height="52"><img name="template_r1_c4" src="../Templates/template_r1_c4.gif" width="15" height="52" border="0" alt=""></td>
              </tr>
            </table></td>
        </tr>
        <tr>
          <td><table width="425" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="175" height="9" bgcolor="#CECECE"><img src="../Templates/spacer.gif" width="1" height="9" border="0" alt=""></td>
                <td width="250" height="9"><img name="template_r2_c2" src="../Templates/template_r2_c2.gif" width="250" height="9" border="0" alt=""></td>
              </tr>
            </table></td>
        </tr>
      </table></td>
    <td valign="bottom" bgcolor="#E7E7E7" class="title">&nbsp;<!-- InstanceBeginEditable name="title" -->Java--
      Compiler <!-- InstanceEndEditable --></td>
    <td bgcolor="#E7E7E7" height="61"><img src="../Templates/spacer.gif" width="1" height="61" border="0" alt=""></td>
  </tr>
  <tr>
    <td colspan="2" rowspan="3" bgcolor="#CECECE"> <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="175" height="511" valign="top" bgcolor="#CECECE"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top"> <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td height="2"><img src="../Templates/spacer.gif" width="1" height="1"></td>
                    </tr>
                    <tr>
                      <td><p><a href="../index.html" class="homeLink">Nicholas
                          Cameron</a></p></td>
                    </tr>
                    <tr>
                      <td><p>&nbsp;</p></td>
                    </tr>
                    <tr>
                      <td><p><a href="../cv/index.html" class="barLink">CV</a></p></td>
                    </tr>
                    <tr>
                      <td><p><a href="../portfolio/index.html" class="barLink">Portfolio</a></p></td>
                    </tr>
                    <tr>
                      <td><p><a href="../email/index.html" class="barLink">Contact</a></p></td>
                    </tr>
                    <tr>
                      <td><p><a href="../siteMap.html" class="barLink">Site Map</a></p></td>
                    </tr>
                  </table></td>
              </tr>
              <tr>
                <td valign="bottom"><h5>Copyright 2004 Nicholas Cameron</h5></td>
              </tr>
            </table></td>
          <td width="20" rowspan="2"><img name="template_r3_c2" src="../Templates/template_r3_c2.gif" width="20" height="513" border="0" alt=""></td>
        </tr>
        <tr>
          <td width="175" height="2"><img name="template_r4_c1" src="../Templates/template_r4_c1.gif" width="175" height="2" border="0" alt=""></td>
        </tr>
        <tr>
          <td colspan="2" bgcolor="#E7E7E7" height="100%">&nbsp;</td>
        </tr>
      </table></td>
    <td colspan="3" rowspan="3" valign="top" bgcolor="#E7E7E7">&nbsp;<br>
      <!-- InstanceBeginEditable name="body" -->
      <p><strong>Results:</strong></p>
      <%
      if (error != null)
      { //if there was a pre-compile error then print it
          %>
      <p><%=error%></p>
      <%
      }
      else
      {
          //show the compiler output
          %>
      <p><strong>Compiler output:</strong></p>
      <p><%=StringUtils.paragraphForHTML(outString.toString())%></p>
          <%

          if (result == null)
          {  //compile error
              %>
              <p>An error occured during output file creation.</p>
              <%
          }
          else if (output.equals("class"))
          {  //make a link to download the generated class file
%>
      <p><a href="<%=Settings.saveURL + "/" + nameNoExt + ".class"%>"><%=nameNoExt + ".class"%></a> (click to download)</p>
<%
          }
          else if (output.equals("j"))
          {
              //we have the assembly code in a String - write it into a file and make
              //it available for download
              String jFile = nameNoExt + ".j";
              BufferedWriter bufOut = new BufferedWriter(new FileWriter(Settings.saveDirectory + "/" + jFile));
              bufOut.write(result);
              bufOut.close();
%>
      <p><a href="download.jsp?path=<%=Settings.saveDirectory%>&filename=<%=jFile%>"><%=jFile%></a> (click to download)</p>
<%
          }

          //display the input to compilation
      %>
      <p><strong>Input:</strong></p>
      <pre><%=StringUtils.paragraphForHTML(inputString)%></pre>
      <%
      }
      %>
      <p><a href="#" onclick="history.back(); return false;" class="backLink">&lt;&lt; Return to compiler</a></p>
      <!-- InstanceEndEditable --></td>
    <td height="511" bgcolor="#E7E7E7"><img src="../Templates/spacer.gif" width="1" height="511" border="0" alt=""></td>
  </tr>
  <tr>
    <td height="2" bgcolor="#E7E7E7"><img src="../Templates/spacer.gif" width="1" height="2" border="0" alt=""></td>
  </tr>
  <tr>
    <td bgcolor="#E7E7E7" height="100%">&nbsp;</td>
  </tr>
</table>
</body>
<!-- InstanceEnd --></html>
