package compiler;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: Represents an access modifier ie public, protected or private<BR>
 * Implements the typesafe enum pattern</p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

public class Modifier
{
    private String value;

    private Modifier(String value)
    {
        this.value = value;
    }

    public String toString()
    {
        return value;
    }

    public static final Modifier PUBLIC = new Modifier("public");
    public static final Modifier PROTECTED = new Modifier("protected");
    public static final Modifier PRIVATE = new Modifier("private");
}