package test;

/**
 * <p>Title: Programming mini project 2 Java-- compiler</p>
 * <p>Description: Run all the unit tests for the project using JUnit</p>
 * <p>Copyright: Copyright (c) 2004 NIcholas Cameron</p>
 * <p>Company: </p>
 * @author Nicholas Cameron
 * @version 1.0
 */

import junit.swingui.TestRunner;
import junit.framework.*;

public class AllTests
{
    public static Test suite()
    {
        TestSuite suite = new TestSuite();
        suite.addTest(new TestSuite(TestScopeEntry.class));
        suite.addTest(new TestSuite(TestSymbolTable.class));
        suite.addTest(new TestSuite(TestSymbolTableParent.class));
        suite.addTest(new TestSuite(TestSymbolEquals.class));
        suite.addTest(new TestSuite(TestResolveSuperClass.class));
        suite.addTest(new TestSuite(TestParamUtils.class));
        suite.addTest(new TestSuite(TestNumberGenerator.class));
        return suite;
    }

    public static void main(String[] args)
    {
        TestRunner.run(AllTests.class);
    }
}